List orders
curl --request GET \
--url https://api.lomadee.com.br/brand/network/orders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lomadee.com.br/brand/network/orders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lomadee.com.br/brand/network/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lomadee.com.br/brand/network/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lomadee.com.br/brand/network/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lomadee.com.br/brand/network/orders")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lomadee.com.br/brand/network/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"orderId": "<string>",
"status": "pending",
"commissionStatus": "pending",
"value": 123,
"currency": "BRL",
"commission": {
"amount": 123
},
"coupon": "<string>",
"items": [
{
"id": "<string>",
"name": "<string>",
"price": 123,
"quantity": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"utm": {
"source": "<string>",
"medium": "<string>"
},
"channel": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "Blog",
"name": "<string>"
}
}
],
"meta": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}{
"success": false,
"message": "limit must not be greater than 100",
"code": "BAD_REQUEST"
}{
"success": false,
"message": "Invalid API key",
"code": "UNAUTHORIZED"
}{
"success": false,
"message": "Insufficient scope",
"code": "FORBIDDEN"
}{
"success": false,
"message": "Too many requests",
"code": "TOO_MANY_REQUESTS"
}Network reference
List orders
Returns the orders attributed to affiliate channels, newest first. Requires a brand key with scope network:orders:read.
GET
/
brand
/
network
/
orders
List orders
curl --request GET \
--url https://api.lomadee.com.br/brand/network/orders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lomadee.com.br/brand/network/orders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lomadee.com.br/brand/network/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lomadee.com.br/brand/network/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lomadee.com.br/brand/network/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lomadee.com.br/brand/network/orders")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lomadee.com.br/brand/network/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"orderId": "<string>",
"status": "pending",
"commissionStatus": "pending",
"value": 123,
"currency": "BRL",
"commission": {
"amount": 123
},
"coupon": "<string>",
"items": [
{
"id": "<string>",
"name": "<string>",
"price": 123,
"quantity": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"utm": {
"source": "<string>",
"medium": "<string>"
},
"channel": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "Blog",
"name": "<string>"
}
}
],
"meta": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}{
"success": false,
"message": "limit must not be greater than 100",
"code": "BAD_REQUEST"
}{
"success": false,
"message": "Invalid API key",
"code": "UNAUTHORIZED"
}{
"success": false,
"message": "Insufficient scope",
"code": "FORBIDDEN"
}{
"success": false,
"message": "Too many requests",
"code": "TOO_MANY_REQUESTS"
}Returns the orders attributed to affiliate channels, newest first. Requires scope
network:orders:read.Authorizations
Brand key created in the dashboard.
Query Parameters
Page number.
Required range:
x >= 1Items per page. Values above 100 return 400.
Required range:
1 <= x <= 100Start of the period (ISO 8601). Default: 30 days ago.
End of the period (ISO 8601). Default: now. At most 90 days after from.
Filter by order status.
Available options:
pending, approved, canceled, reproved Filter by commission status, for example pending.
Only orders attributed to this affiliate channel.